Class | Bio::Blast::Report::Hsp
In: | lib/bio/appl/blast/report.rb
Parent: | Object

Bio::Blast::Report::Hsp

### Methods

new

### Attributes

align_len | [RW] | Length of the alignment used
bit_score | [RW] | Score (in bits) of HSP
density | [RW] | Score density
evalue | [RW] | E-value of HSP
gaps | [RW] | Number of gaps in HSP
hit_frame | [RW] | Translation frame of subject
hit_from | [RW] | Start of HSP in subject
hit_to | [RW] | End of HSP
hseq | [RW] | Alignment string for subject (with gaps)
hsp | [R] |
identity | [RW] | Number of identities in HSP
midline | [RW] | Formating middle line
mismatch_count | [RW] | Available only for ’-m 8’ format outputs.
num | [RW] | HSP number
pattern_from | [RW] | Start of PHI-BLAST pattern
pattern_to | [RW] | End of PHI-BLAST pattern
percent_identity | [RW] | Available only for ’-m 8’ format outputs.
positive | [RW] | Number of positives in HSP
qseq | [RW] | Alignment string for the query (with gaps)
query_frame | [RW] | Translation frame of query
query_from | [RW] | Start of HSP in query
query_to | [RW] | End of HSP
score | [RW] | Sscore of HSP

### Public Class methods

new()

[Source]

         # File lib/bio/appl/blast/report.rb, line 314
    314:     def initialize
    315:       @hsp = {}
    316:     end

[Validate]